<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">

    <head> 
        <!--definit l'encodage -->
        <meta charset="UTF-8" /></meta>
        <title>Planning - Varsion 2.0 Alpha</title>

        <!-- Les balises méta "http-equiv" qui envoie des informations supplémentaires via le protocole HTTP.-->

        <!-- Cette balise permet d'activer le mode compatibilité Google Chrome Frame -->
        <meta http-equiv="X-UA-Compatible" content="chrome=1" />
        <!-- Empeche la mise en cache des fichier (nécessaire pour les fichiers générés) -->    
        <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
        <!-- Précise le moment de l'expiration de la page (ici jamais)-->
        <meta http-equiv="Expires" content="0" />

        <!-- Commentaires conditionnel qui signale à l'utilisateur que son navigateur est trop ancien (cf: Commentaires conditionnel->Documentation)-->
        <!-- [if lt IE 7]><script type="text/javascript">window.oPlanning.location='incompatible.html'</script><![endif]-->

        <!-- Feuilles de style -->
        <link rel="stylesheet" type="text/css" href="css/seances.css" />

        <link rel="stylesheet" href="https://swisnl.github.io/jQuery-contextMenu/css/screen.css" type="text/css"/>
        <link rel="stylesheet" href="https://swisnl.github.io/jQuery-contextMenu/css/theme.css" type="text/css"/>
        <link rel="stylesheet" href="https://swisnl.github.io/jQuery-contextMenu/css/theme-fixes.css" type="text/css"/>
        <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/highlight.js/8.4/styles/github.min.css">
            <link href="https://swisnl.github.io/jQuery-contextMenu/dist/jquery.contextMenu.css" rel="stylesheet" type="text/css" />

            <!-- JavaScript : fichiers inclus -->
            <script type="text/javascript" src="src/includes_Grd.js"></script>

            <!-- 
            <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
            <script src="https://swisnl.github.io/jQuery-contextMenu/dist/jquery.contextMenu.js" type="text/javascript"></script>
            <script src="https://swisnl.github.io/jQuery-contextMenu/dist/jquery.ui.position.min.js" type="text/javascript"></script>
            <script src="https://swisnl.github.io/jQuery-contextMenu/js/main.js" type="text/javascript"></script>
            -->
            <script>
                $(function () {
                    $.contextMenu({
                        selector: '.context-menu-one',
                        callback: function (key, options) {
                            var m = "clicked: " + key;
                            window.console && console.log(m) || alert(m);
                        },
                        items: {
                            "edit": {name: "Edit", icon: "edit"},
                            "cut": {name: "Cut", icon: "cut"},
                            copy: {name: "Copy", icon: "copy"},
                            "paste": {name: "Paste", icon: "paste"},
                            "delete": {name: "Delete", icon: "delete"},
                            "sep1": "---------",
                            "quit": {name: "Quit", icon: function () {
                                    return 'context-menu-icon context-menu-icon-quit';
                                }}
                        }
                    });

                    $('.context-menu-one').on('click', function (e) {
                        console.log('clicked', this);
                    })
                });
            </script>
    </head>

    <body>      

        <span class="context-menu-one btn btn-neutral">right click me</span>


    </body>
</html>
